Docs
Api reference

Business

GET
/api/business/me

Response Body

application/json

application/json

curl -X GET "https://example.com/api/business/me"
null
PUT
/api/business/me

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/api/business/me" \  -H "Content-Type: application/json" \  -d '{}'
{  "success": true}
PUT
/api/business/me/credentials

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/api/business/me/credentials" \  -H "Content-Type: application/json" \  -d '{}'
{  "success": true}
POST
/api/business/me/credentials/test

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/business/me/credentials/test" \  -H "Content-Type: application/json" \  -d '{    "type": "twilio"  }'
{  "success": true,  "message": "string"}
POST
/api/business/me/upload-logo

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/business/me/upload-logo"
{  "success": true,  "logoUrl": "string"}
POST
/api/business/me/upload-favicon

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/business/me/upload-favicon"
{  "success": true,  "faviconUrl": "string"}
POST
/api/business/stripe/connect

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/business/stripe/connect" \  -H "Content-Type: application/json" \  -d '{}'
{  "url": "string"}
GET
/api/business/stripe/status

Response Body

application/json

application/json

curl -X GET "https://example.com/api/business/stripe/status"
{  "connected": true,  "accountId": "string",  "chargesEnabled": true,  "detailsSubmitted": true}
GET
/api/business/plans

Response Body

application/json

application/json

curl -X GET "https://example.com/api/business/plans"
{  "plans": [    null  ]}
POST
/api/business/plans

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/business/plans" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
null
DELETE
/api/business/plans/{id}

Path Parameters

id*string

Response Body

application/json

application/json

application/json

curl -X DELETE "https://example.com/api/business/plans/string"
{  "success": true}
PUT
/api/business/plans/{id}

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/api/business/plans/string" \  -H "Content-Type: application/json" \  -d '{}'
null
GET
/api/business/plans/stats

Response Body

application/json

application/json

curl -X GET "https://example.com/api/business/plans/stats"
{  "mrr": 0,  "mrrGrowth": "string",  "subscribedRestaurants": 0,  "monthlyCount": 0,  "yearlyCount": 0,  "inFreeTrial": 0,  "trialConversionRate": "string",  "paymentsFailing": 0,  "amountAtRisk": 0}
GET
/api/business/audit-logs

Query Parameters

page?string
Default"1"
limit?string
Default"50"

Response Body

application/json

application/json

curl -X GET "https://example.com/api/business/audit-logs"
{  "logs": [    null  ],  "pagination": {    "page": 0,    "limit": 0,    "total": 0,    "totalPages": 0  }}